#include <string>
using namespace std;

enum Position 
{
	GOALKEEPER, DEFENDER, MIDFIELDER, STRIKER
};

typedef unsigned short goals_t;

struct Footballer
{
	string name;
	int squadNumber;
	Position positionCode;
	goals_t goalsScored;
};

void InputFootballer(Footballer *pFootballer);
void DisplayFootballer(const Footballer *pFootballer);
bool IsGood(const Footballer *pFootballer);

void InputTeam(Footballer team[], int numPlayers);
void DisplayTeam(const Footballer team[], int numPlayers);